<?php
/*
   +----------------------------------------------------------------------+
   | Barman - A PHP-Powered Bartender's administration tool               |
   +----------------------------------------------------------------------+
   | Copyright (c) 2004 Sergio Cayuqueo                                   |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2 of the GPL license,         |
   | that is bundled with this package in the file LICENSE.		  |
   +----------------------------------------------------------------------+
   | Authors: Sergio Cayuqueo <linuxv@users.sourceforge.net>	          |
   +----------------------------------------------------------------------+
*/

$GLOBALS["php_gettext_active"]	= true;

if( !function_exists( "gettext")) {
	if( !@dl( "php_gettext." . ( strstr( PHP_OS, "WIN") ? "dll" : "so"))) {
		function _( $strString){return $strString;}
		function bindtextdomain( $strString){return $strString;}
		function dcgettext( $strDomain, $strString, $nCategory){ return $strString;}
		function dgettext( $strDomain, $strMessage) { return $strString;}
		function gettext( $strString){return $strString;}
		function textdomain( $strString){return $strString;}
		$GLOBALS["php_gettext_active"]	= false;
}}

/**
*	if you want to set the language by yourself use this code
*	if you don't set this, the OS setting is used
*/
setLanguage($languaje);			//use {language_id}_{COUNTRY} (it's said that {language_id} alone doesn't work everywhere
// Set the text domain to "barman" if not set yet
if( !isset( $strTextDomain)) {
	$strTextDomain = "barman";
}
bindtextdomain($strTextDomain, $basepath."/"."locale"); 
textdomain($strTextDomain);

/**
*	just set the language setting
*/
function setLanguage( $strLanguage)
{
	putenv( "LANG=" . $strLanguage);	//required on windows, because setlocale doesn't work (works with totally different names [e.g. "ge" instead of "de"], but that's shit)
	putenv( "LANGUAGE=" . $strLanguage);
	putenv( "LC_ALL=" . $strLanguage);
	setlocale( LC_ALL, $strLanguage);	//should be enough, but putenv("LANG=..") is required on windows (no really required, but hard to get)
}//function setLanguage( $strLanguage)
?>